//
//  GDPRHelper.swift
//  sdk-demo-ios
//
//  Created by Smaato Inc on 15.04.20.
//  Copyright © 2020 Smaato Inc. All rights reserved.
//

import Foundation

protocol GDPRHelperDelegate: class {
    func needsUpdateGDPRInformation()
}

protocol GDPRHelper {
    var delegate: GDPRHelperDelegate? { get set }
    var infoString: String { get }
    var parentVC: UIViewController? { get set }
    var shouldShowConsentDialogMessage: Bool { get }
    func showConsentDialog()
    func deleteConsentInformation()
}
